classification
Title: Remove distributed copy of libffi
Type: Stage:
Components: ctypes Versions: Python 3.3
process
Status: closed Resolution: duplicate
Dependencies: Superseder: libffi-3.0.11 update
View: 15194
Assigned To: Nosy List: Arfrever, amaury.forgeotdarc, belopolsky, benjamin.peterson, brian.curtin, doko, eric.araujo, georg.brandl, jcea, loewis, meador.inge, nadeem.vawda, pitrou, rosslagerwall, rpetrov
Priority: normal Keywords:

Created on 2011-05-15 15:37 by benjamin.peterson, last changed 2012-07-08 17:39 by loewis. This issue is now closed.

Messages (11)
msg136034 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2011-05-15 15:37
I believe the bugs which the patched version of libffi used have been fixed in recent versions. We should stop distributing an old version.
msg136035 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-05-15 15:59
Sounds reasonable.  How will this work on Windows?
msg136049 - (view) Author: Roumen Petrov (rpetrov) * Date: 2011-05-15 20:21
On windows work with patched version of library . Unpatched does not work but I cannot remember python issue number.
msg136050 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * (Python triager) Date: 2011-05-15 20:24
Has the patch been sent to libffi upstream? What was the response from libffi upstream?
msg136659 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2011-05-23 15:08
iirc after merging 3.0.9, we still had to use the internal libffi bits for windows and macosx. I didn't check 3.0.10rc8
msg158313 - (view) Author: Ross Lagerwall (rosslagerwall) (Python committer) Date: 2012-04-15 06:53
In any case, it should be OK to remove libffi_arm_wince?

Is WinCE supported?
msg158325 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-04-15 12:45
I don't think we have ever "supported" WinCE (which is apparently named "Windows Embedded Compact 7" nowadays). It only provides a subset of the Win32 API so the current tree may not even compile.
msg158430 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-04-16 12:58
Arfrever: I doubt anybody has contributed patches back, or that anybody is interested in doing so.

I personally don't see a problem in using an old libffi version, so I fail to see Benjamin's issue. Figuring out how exactly to use the system libffi is more hassle than keeping our own copy.

Please understand that ctypes is unmaintained. Anybody actively taking over maintenance of ctypes would have to decide on how integration with libffi is supposed to work. Without a maintainer, falling back to the sytem libffi is a too high risk, IMO, since this will certainly produce tons of new bug reports, with nobody prepared to deal with them.
msg158544 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2012-04-17 11:18
The last time I merged libffi, we were not able to build the MacOS X and Windows libffi from the upstream sources, but used the internal copy of the copy. Now that libffi 3.0.11 is released, we could

 - update to this new version, see if the MacOS X and Windows
   builds work (there are upstream related changes)

 - start defaulting to the system libffi for at least some targets
   (e.g. linux), for which we know that almost nobody will use the
   internal copy

No, I don't volunteer to maintain ctypes itself.
msg165027 - (view) Author: Meador Inge (meador.inge) * (Python committer) Date: 2012-07-08 17:24
Matthias recently updated libffi to 3.0.11 (issue15194).  It would seem that we intend to keep a local copy of the libffi sources for now and that this issue can be closed.  Does anyone see a reason to keep this open?
msg165029 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-07-08 17:39
Closing as a duplicate. The original issue is resolved: we are not distributing an old copy of libffi anymore.
History
Date User Action Args
2012-07-08 17:39:48loewissetstatus: open -> closed
superseder: libffi-3.0.11 update
resolution: duplicate
messages: + msg165029
2012-07-08 17:24:14meador.ingesetmessages: + msg165027
2012-04-18 21:58:01eric.araujosetnosy: + amaury.forgeotdarc, belopolsky, eric.araujo
2012-04-17 11:18:26dokosetmessages: + msg158544
2012-04-16 12:58:35loewissetmessages: + msg158430
2012-04-15 12:45:25pitrousetnosy: + pitrou, brian.curtin, loewis
messages: + msg158325
2012-04-15 12:35:18pitrousetnosy: + meador.inge
2012-04-15 06:53:20rosslagerwallsetmessages: + msg158313
2011-05-23 15:08:52dokosetnosy: + doko
messages: + msg136659
2011-05-16 13:19:36jceasetnosy: + jcea
2011-05-15 20:24:09Arfreversetmessages: + msg136050
2011-05-15 20:21:24rpetrovsetnosy: + rpetrov
messages: + msg136049
2011-05-15 17:34:12Arfreversetnosy: + Arfrever
2011-05-15 15:59:27georg.brandlsetnosy: + georg.brandl
messages: + msg136035
2011-05-15 15:46:13rosslagerwallsetnosy: + rosslagerwall
2011-05-15 15:40:23nadeem.vawdasetnosy: + nadeem.vawda
2011-05-15 15:37:05benjamin.petersoncreate